unit UnitTestPlugin;

interface

uses
  Forms, UnitPlugInfo;

type
  TPluginForm = class(TForm)
  private
    { Private declarations }
  public
    { Public declarations }
    PluginInfo: TPluginData;
  end;

//   
procedure ShowPluginWindow(H: THandle; p: pointer; IsInfo: boolean);

var
  PluginForm: TPluginForm;
  pAuthor   : ShortString = '';     //    
  pVersion  : ShortString = '';     //     
  pInfo     : ShortString = '';     //     -
                                    //   ,    .
implementation

{$R *.dfm}

//     /    
procedure ShowPluginWindow(H: THandle; p: pointer; IsInfo: boolean);
begin
  Application.Handle := H;
  PluginForm := TPluginForm.Create(Application);

  PluginForm.PluginInfo := TPluginData.Create;
  PluginForm.PluginInfo := TPluginData(p);

  //        
  PluginForm.PluginInfo.pdAuthor  := pAuthor;
  PluginForm.PluginInfo.pdVersion := pVersion;
  PluginForm.PluginInfo.pdInfo    := pInfo;
  TPluginData(p) := PluginForm.PluginInfo;

  //         
  if not IsInfo
    then PluginForm.ShowModal;
  PluginForm.Free;
end;

end.
